Main Page Widgets Namespaces Book

# Gtk::ButtonBox Class Reference

Base class for Gtk::HButtonBox and Gtk::VButtonBox. More...

Inheritance diagram for Gtk::ButtonBox:

[legend]
List of all members.

## Public Methods

virtual | ~ButtonBox ()
GtkButtonBox* | gobj ()
const GtkButtonBox* | gobj () const
ButtonBoxStyle | get_layout () const
void | set_layout (ButtonBoxStyle layout_style)
void | set_child_secondary (Widget& child, bool is_secondary=true)
| Sets whether child should appear in a secondary group of children.
int | get_child_min_width () const
void | set_child_min_width (const int& value)
int | get_child_min_height () const
void | set_child_min_height (const int& value)
int | get_child_ipadding_x () const
void | set_child_ipadding_x (const int& value)
int | get_child_ipadding_y () const
void | set_child_ipadding_y (const int& value)
Glib::PropertyProxy<ButtonBoxStyle> | property_layout_style ()

## Related Functions

(Note that these are not member functions.)
Gtk::ButtonBox* | wrap (GtkButtonBox* object, bool take_copy=false)

## Detailed Description

Base class for Gtk::HButtonBox and Gtk::VButtonBox.

A button box should be used to provide a consistent layout of buttons throughout your application. There is one default layout and a default spacing value that are persistant across all ButtonBox widgets.

Examples:

  thread/dispatcher.cc.

## Constructor & Destructor Documentation

virtual Gtk::ButtonBox::~ButtonBox | ( |  | ) | `[virtual]`

## Member Function Documentation

int Gtk::ButtonBox::get_child_ipadding_x | ( |  | ) |

int Gtk::ButtonBox::get_child_ipadding_y | ( |  | ) |

int Gtk::ButtonBox::get_child_min_height | ( |  | ) |

int Gtk::ButtonBox::get_child_min_width | ( |  | ) |

ButtonBoxStyle Gtk::ButtonBox::get_layout | ( |  | ) |

const GtkButtonBox* Gtk::ButtonBox::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::Box. Reimplemented in Gtk::VButtonBox, and Gtk::HButtonBox.

GtkButtonBox* Gtk::ButtonBox::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::Box. Reimplemented in Gtk::VButtonBox, and Gtk::HButtonBox.

Glib::PropertyProxy<ButtonBoxStyle> Gtk::ButtonBox::property_layout_style | ( |  | ) |

void Gtk::ButtonBox::set_child_ipadding_x | ( | const int& | value | ) |

void Gtk::ButtonBox::set_child_ipadding_y | ( | const int& | value | ) |

void Gtk::ButtonBox::set_child_min_height | ( | const int& | value | ) |

void Gtk::ButtonBox::set_child_min_width | ( | const int& | value | ) |

void Gtk::ButtonBox::set_child_secondary | ( | Widget& | child,
|  | bool | is_secondary = true
| ) |

Sets whether child should appear in a secondary group of children.

A typical use of a secondary child is the help button in a dialog.

This group appears after the other children if the style is Gtk::BUTTONBOX_START, Gtk::BUTTONBOX_SPREAD or Gtk::BUTTONBOX_EDGE, and before the the other children if the style is Gtk::BUTTONBOX_END. For horizontal button boxes, the definition of before/after depends on direction of the widget (see Gtk::Widget::set_direction()). If the style is Gtk::BUTTONBOX_START or Gtk::BUTTONBOX_END, then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.

Parameters:

  child | A child of widget.
  is_secondary | If `true`, the child appears in a secondary group of the button box.

void Gtk::ButtonBox::set_layout | ( | ButtonBoxStyle | layout_style | ) |

## Friends And Related Function Documentation

Gtk::ButtonBox* wrap | ( | GtkButtonBox* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- buttonbox.h